-d switch isn't accurately described

Bug #1700829 reported by Brian Murray on 2017-06-27
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Status tracked in Artful
Xenial
High
Brian Murray
Zesty
High
Brian Murray
Artful
High
Brian Murray
update-manager (Ubuntu)
Status tracked in Artful
Xenial
High
Brian Murray
Zesty
High
Brian Murray
Artful
High
Brian Murray

Bug Description

[Impact]
See the original bug description.

[Test Case]
- for ubuntu-release-upgrader -
1) run 'do-release-upgrade --help' and man 'do-release-upgrade'
2) observe that it says '-d' is to 'Check if upgrading to the latest devel release is possible'
3) install the version of ubuntu-release-upgrader from -proposed
4) repeat step 1
5) Observe that '-d' is documented as 'If using the latest supported release, upgrade to the development release'

- for update-manager -
Use the same test case as for ubuntu-release-upgrader but replace do-release-upgrade with update-manager and ubuntu-release-upgrader with update-manager.

[Regression Potential]
None as these are documentation changes and any typos in them will be revealed by the test case. It is worth noting that these are translated strings but it seems better to break translations and be accurate rather than have a translation of something that is incorrect.

[Original Description]
The -d switch for update-manager is documented as 'Check if upgrading to the latest devel release is possible'. This implies that no matter what release you are running the -d switch check if you can upgrade to the devel release (Artful right now) however, this isn't actually what the -d switch does. Right now the -d switch will take you to the next unsupported release of Ubuntu, so in a few weeks will upgrade you from X to Y (since its unsupported). That's not really what we want either.

The -d switch will be changed so that it only upgrades you to the development release of Ubuntu if you are running the release immediately before the development release. So right now it would only work from Zesty to Artful.

The help documentation for -d needs to be changed to reflect what it actually does.

Brian Murray (brian-murray) wrote :

Matthew - Do you have an idea on how we might word what '-d' will now do? Without any outside input I might use something like "Upgrade to the development release of Ubuntu if running the release preceding it". Thanks!

Changed in update-manager (Ubuntu):
status: New → Triaged
importance: Undecided → High
milestone: none → ubuntu-17.07
assignee: nobody → Brian Murray (brian-murray)
Matthew Paul Thomas (mpt) wrote :

That seems good to me. Slightly shorter would be “If using the current Ubuntu release, upgrade to the development version”.

On Wed, Jun 28, 2017 at 07:42:51AM -0000, Matthew Paul Thomas wrote:
> That seems good to me. Slightly shorter would be “If using the current
> Ubuntu release, upgrade to the development version”.

I think "the current" release isn't specific enough as right now we have
three "current" releases - Xenial, Yakkety, and Zesty.

--
Brian Murray

Oh great, both update-manager and do-release-upgrade (both from different packages) have the -d documentation. This'll need fixing in both packages then.

Changed in ubuntu-release-upgrader (Ubuntu Artful):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Artful):
status: Triaged → In Progress
Changed in update-manager (Ubuntu Artful):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:17.10.6

---------------
ubuntu-release-upgrader (1:17.10.6) artful; urgency=medium

  * Fix new pep8 failures in artful - E722 do not use bare except.
  * Update the manpage regarding '-d' change.

 -- Brian Murray <email address hidden> Thu, 13 Jul 2017 15:49:23 -0700

Changed in ubuntu-release-upgrader (Ubuntu Artful):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:17.10.1

---------------
update-manager (1:17.10.1) artful; urgency=medium

  [ Steve Langasek ]
  * ubuntu-support-status: instead of checking the Release timestamp in
    the releases file for every single package on the system, get the
    release date from distro-info-data because it will always be the same.
    This speeds up the script by > 50% in testing.

  [ Brian Murray ]
  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)
  * Remove --sandbox (aufs support) as it has been broken for some time and
    was rather unused. (LP: #1605259)

 -- Brian Murray <email address hidden> Wed, 12 Jul 2017 15:03:18 -0700

Changed in update-manager (Ubuntu Artful):
status: In Progress → Fix Released
summary: - -d switch doesn't accurately describe itself
+ -d switch isn't accurately described
Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: New → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Zesty):
status: New → In Progress
Changed in update-manager (Ubuntu Xenial):
status: New → In Progress
Changed in update-manager (Ubuntu Zesty):
status: New → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Zesty):
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Xenial):
importance: Undecided → High
Changed in ubuntu-release-upgrader (Ubuntu Zesty):
importance: Undecided → High
Changed in update-manager (Ubuntu Xenial):
importance: Undecided → High
Changed in update-manager (Ubuntu Zesty):
importance: Undecided → High
Changed in update-manager (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
Changed in update-manager (Ubuntu Zesty):
assignee: nobody → Brian Murray (brian-murray)
description: updated

Hello Brian, or anyone else affected,

Accepted update-manager into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:16.04.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-manager (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in update-manager (Ubuntu Zesty):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Brian, or anyone else affected,

Accepted update-manager into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:17.04.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Zesty):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:17.04.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:16.04.22 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Using update-manager and ubuntu-release-upgrader from zesty-proposed I confirmed that the new documentation about the '-d' switch is correct and displays as expected.

tags: added: verification-done-zesty
Brian Murray (brian-murray) wrote :

Using update-manager and ubuntu-release-upgrader from xenial-proposed I confirmed that the new documentation about the '-d' switch is correct and displays as expected.

I also tested upgrading using 'do-release-upgrade -d' and saw the error message regarding "the latest supported release".

tags: added: verification-done-xenial
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:16.04.22

---------------
ubuntu-release-upgrader (1:16.04.22) xenial; urgency=medium

  * do-release-upgrade: Clarify that the "-d" switch is only for upgrading
    from the latest supported release to the development release, not any
    release. Additionally, provide a specific error message if run with -d and
    not running the latest supported release. (LP: #1700829)

 -- Brian Murray <email address hidden> Fri, 14 Jul 2017 16:46:34 -0700

Changed in ubuntu-release-upgrader (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:16.04.7

---------------
update-manager (1:16.04.7) xenial; urgency=medium

  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)

 -- Brian Murray <email address hidden> Mon, 17 Jul 2017 09:31:17 -0700

Changed in update-manager (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:17.04.4

---------------
update-manager (1:17.04.4) zesty; urgency=medium

  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)

 -- Brian Murray <email address hidden> Fri, 14 Jul 2017 16:51:54 -0700

Changed in update-manager (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:17.04.9

---------------
ubuntu-release-upgrader (1:17.04.9) zesty; urgency=medium

  * do-release-upgrade: Clarify that the "-d" switch is only for upgrading
    from the latest supported release to the development release, not any
    release. Additionally, provide a specific error message if run with -d and
    not running the latest supported release. (LP: #1700829)

 -- Brian Murray <email address hidden> Fri, 14 Jul 2017 16:33:50 -0700

Changed in ubuntu-release-upgrader (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers